Download it now!
Bug 48018 - : Report Does Not Sort by Groupings
Summary: : Report Does Not Sort by Groupings
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
3.4.6 release
Hardware: Other All
: medium normal
Assignee: Lionel Elie Mamane
URL:
Whiteboard: BSA target:3.6.0.0.beta1 target:3.7.0...
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-28 20:40 UTC by Andy
Modified: 2012-08-03 09:22 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Database with the issue. (1003.91 KB, application/vnd.oasis.opendocument.database)
2012-03-28 20:40 UTC, Andy
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andy 2012-03-28 20:40:30 UTC
Created attachment 59185 [details]
Database with the issue.

Problem description: 

Report in Database does not sort by the groupings. 


Steps to reproduce:

I have a database of recipes. I have setup fields such as ID (Primary Key), Cookbook (name), Recipe Name, Number of Servings, Calories Per Serving, From the Kitchen of, Ingredients, Instructions, and Note. 

I then created a query to select only certain cookbook entries and then sort by recipe name. The query sorts correctly. The SQL for the Query is:

SELECT "ID" AS "ID", "cookbook" AS "cookbook", "Recipe Name" AS "Recipe Name", "Number of Servings" AS "Number of Servings", "Calories Per Serving" AS "Calories Per Serving", "From the Kitchen of" AS "From the Kitchen of", "Ingredients" AS "Ingredients", "Instructions" AS "Instructions", "Note" AS "Note" FROM "Appetizer" WHERE ( "cookbook" = 'Creech' OR "cookbook" = 'Patterson' OR "cookbook" = 'Pampered Chef' ) ORDER BY "Recipe Name" ASC, "From the Kitchen of" ASC


Current behavior:

Then I created a report, using the report wizard on the query. I setup groupings for "Recipe Name", "Ingredients", "Instructions", and "Note". The groupings are sorted by ascending, in the order listed above. the fields "From the Kitchen of", Number of Servings", and Calories per Servings" are also included in the report. 


Expected behavior: 

Report should sort the database by recipe name so that they are all in alphabetical order. 

Platform (if different from the browser): Linux Mint 12
              
Browser: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:11.0) Gecko/20100101 Firefox/11.0
Comment 1 Not Assigned 2012-06-06 05:56:41 UTC
Lionel Elie Mamane committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9fd39a5047a7735c2532787de8f98423eae9da06&g=libreoffice-3-6

fdo#48018 legacy reports do not sort by group columns


It will be available in LibreOffice 3.6.
Comment 2 Not Assigned 2012-06-06 05:57:06 UTC
Lionel Elie Mamane committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f824f851c5f0282581732a081cadb1745e44f1bf

fdo#48018 legacy reports do not sort by group columns
Comment 3 Lionel Elie Mamane 2012-06-06 06:08:41 UTC
Asked for review for application in 3.5 branch. May take a few days.
Comment 4 Not Assigned 2012-06-06 07:32:19 UTC
Lionel Elie Mamane committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b8b7e7ea20397fa9e0d0470a19667e88c7c049cb&g=libreoffice-3-5

fdo#48018 legacy reports do not sort by group columns


It will be available in LibreOffice 3.5.5.
Comment 5 Rainer Bielefeld Retired 2012-08-03 09:22:39 UTC
We need exact and correct target information for automated lists in Wiki and LibO Web Site.